import { PluginBase, ResourceContext } from '../../common';
export declare enum CodeArtifactRepositoryTypes {
    NPM = "npm",
    PIP = "pip",
    NUGET = "nuget",
    SWIFT = "swift",
    DOTNET = "dotnet",
    TWINE = "twine"
}
export interface CodeArtifactPluginProps {
    readonly domain: string;
    readonly account?: string;
    readonly repositoryName: string;
    readonly repositoryTypes?: CodeArtifactRepositoryTypes[];
    readonly npmScope?: string;
}
/**
 * Plugin to enable key rotation for KMS keys.
 */
export declare class CodeArtifactPlugin extends PluginBase {
    private readonly options;
    readonly name: string;
    readonly version: string;
    constructor(options: CodeArtifactPluginProps);
    create(context: ResourceContext): void;
}
