import * as codebuild from 'aws-cdk-lib/aws-codebuild';
import * as iam from 'aws-cdk-lib/aws-iam';
import * as pipelines from 'aws-cdk-lib/pipelines';
import { IResourceProvider, ResourceContext } from '../common';
export interface ICIDefinition {
    provideBuildSpec(): codebuild.BuildSpec;
    append(partialBuildSpec: codebuild.BuildSpec): void;
    provideCodeBuildDefaults(): pipelines.CodeBuildOptions;
    additionalPolicyStatements(policyStatements: iam.PolicyStatement[]): void;
}
/**
 * Provides CodeBuild BuildSpec for the Synth Step
 */
export declare class CIDefinitionProvider implements IResourceProvider {
    provide(context: ResourceContext): any;
}
